import { PropType } from 'vue';
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    /**
     * Defines if the number should be a floating point number or integer.
     */
    numberType: {
        type: PropType<"float" | "int">;
        required: false;
        default: string;
        validator(value: string): boolean;
    };
    /**
     * Defines the amount of which the number is increased or decreased per step.
     */
    step: {
        type: NumberConstructor;
        required: false;
        default: null;
    };
    /**
     * Defines the minimum value of the number.
     */
    min: {
        type: NumberConstructor;
        required: false;
        default: null;
    };
    /**
     * Defines the maximum value of the number.
     */
    max: {
        type: NumberConstructor;
        required: false;
        default: null;
    };
    /**
     * The value of the number field.
     */
    modelValue: {
        type: PropType<number | null>;
        required: false;
        default: null;
    };
    /**
     * Defines how many digits should be displayed after the decimal point.
     */
    digits: {
        type: NumberConstructor;
        required: false;
        default: number;
        validator(value: number): boolean;
    };
    /**
     * Defines if digits should be filled with zeros if the value is smaller than the minimum value.
     */
    fillDigits: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Defines if the field can be empty.
     */
    allowEmpty: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Defines if the number should be aligned to the end of the input field.
     */
    numberAlignEnd: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}>, {
    t: import('vue-i18n').ComposerTranslation<{
        en: {
            increaseButton: string;
            decreaseButton: string;
        };
        de: {
            increaseButton: string;
            decreaseButton: string;
        };
    }, "en" | "de", import('@intlify/core-base').RemoveIndexSignature<{
        [x: string]: import('vue-i18n').LocaleMessageValue<import('vue-i18n').VueMessageType>;
    }>, never, "increaseButton" | "decreaseButton", "increaseButton" | "decreaseButton">;
}, {}, {
    realStep(): number;
    realMinimum(): number | null;
    realMaximum(): number | null;
    stringRepresentation(): string;
    controlClasses(): {
        "mt-field__controls--disabled": boolean;
        "mt-field__controls--has-error": boolean;
    };
}, {
    onChange(event: Event): void;
    onInput(event: Event): void;
    increaseNumberByStep(): void;
    decreaseNumberByStep(): void;
    computeValue(stringRepresentation: string): void;
    parseValue(value: any): any;
    checkBoundaries(value: number): number;
    getNumberFromString(value: any): number;
    checkForInteger(value: number): number;
}, import('vue').ComponentOptionsMixin, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    modelValue: {
        type: PropType<string | number>;
        required: false;
        default: string;
    };
    placeholder: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    label: {
        type: StringConstructor;
        required: false;
        default: null;
    };
    helpText: {
        type: StringConstructor;
        required: false;
        default: null;
    };
    size: {
        type: StringConstructor;
        required: false;
        default: string;
        validator(value: string): boolean;
    };
    copyable: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    copyableTooltip: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    error: {
        type: ObjectConstructor;
        required: false;
        default: null;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    isInherited: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    isInheritanceField: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    disableInheritanceToggle: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    maxLength: {
        type: NumberConstructor;
        required: false;
        default: undefined;
    };
    idSuffix: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: null;
    };
}>, {}, {
    currentValue: string | number;
    hasFocus: boolean;
}, {
    hasError(): boolean;
    hasDisabledInput(): boolean;
}, {
    onChange(event: Event): void;
    onInput(event: Event): void;
    handleFocus(event: FocusEvent): void;
    restoreInheritance(): void;
    createInputId(identification: string): string;
    setFocusClass(event: FocusEvent): void;
    removeFocusClass(event: FocusEvent): void;
}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    modelValue: {
        type: PropType<string | number>;
        required: false;
        default: string;
    };
    placeholder: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    label: {
        type: StringConstructor;
        required: false;
        default: null;
    };
    helpText: {
        type: StringConstructor;
        required: false;
        default: null;
    };
    size: {
        type: StringConstructor;
        required: false;
        default: string;
        validator(value: string): boolean;
    };
    copyable: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    copyableTooltip: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    error: {
        type: ObjectConstructor;
        required: false;
        default: null;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    isInherited: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    isInheritanceField: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    disableInheritanceToggle: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    maxLength: {
        type: NumberConstructor;
        required: false;
        default: undefined;
    };
    idSuffix: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: null;
    };
}>> & Readonly<{}>, {
    name: string;
    size: string;
    required: boolean;
    label: string;
    modelValue: string | number;
    placeholder: string;
    disabled: boolean;
    error: Record<string, any>;
    isInherited: boolean;
    isInheritanceField: boolean;
    disableInheritanceToggle: boolean;
    copyable: boolean;
    copyableTooltip: boolean;
    helpText: string;
    maxLength: number;
    idSuffix: string;
}, {}, {
    "mt-field-error": import('vue').DefineComponent<{
        error?: Record<string, any> | null;
    }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
        error?: Record<string, any> | null;
    }> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
    "mt-base-field": import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        required: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        isInherited: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        isInheritanceField: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        disableInheritanceToggle: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        copyable: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        copyableTooltip: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        hasFocus: {
            type: BooleanConstructor;
            required: true;
        };
        helpText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        copyableText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        size: {
            type: StringConstructor;
            required: false;
            default: string;
            validator(value: string): boolean;
        };
        name: {
            type: StringConstructor;
            required: false;
            default: null;
        };
    }>, {
        hasSlotContent: (slot: import('vue').Slot | undefined | null, props?: any) => boolean;
        future: {
            removeCardWidth: boolean;
            removeDefaultMargin: boolean;
        };
    }, {
        id: string | undefined;
    }, {
        identification(): string;
        showLabel(): boolean;
        mtFieldLabelClasses(): {
            "is--required": boolean;
        };
        mtBlockSize(): string;
        hasError(): boolean;
    }, {}, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        validation: {
            type: (BooleanConstructor | ObjectConstructor | StringConstructor | ArrayConstructor)[];
            required: false;
            default: null;
        };
    }>, {}, {}, {
        isValid(): boolean;
    }, {
        validate(value: unknown): boolean;
        validateRule(value: unknown, rule: string): boolean;
    }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        validation: {
            type: (BooleanConstructor | ObjectConstructor | StringConstructor | ArrayConstructor)[];
            required: false;
            default: null;
        };
    }>> & Readonly<{}>, {
        validation: string | boolean | Record<string, any> | unknown[];
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        mapInheritance: {
            type: ObjectConstructor;
            required: false;
            default: null;
        };
        name: {
            type: StringConstructor;
            required: false;
            default: null;
        };
    }>, {}, {}, {
        formFieldName(): string | undefined;
    }, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        mapInheritance: {
            type: ObjectConstructor;
            required: false;
            default: null;
        };
        name: {
            type: StringConstructor;
            required: false;
            default: null;
        };
    }>> & Readonly<{}>, {
        name: string;
        mapInheritance: Record<string, any>;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        required: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        isInherited: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        isInheritanceField: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        disableInheritanceToggle: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        copyable: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        copyableTooltip: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        hasFocus: {
            type: BooleanConstructor;
            required: true;
        };
        helpText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        copyableText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        size: {
            type: StringConstructor;
            required: false;
            default: string;
            validator(value: string): boolean;
        };
        name: {
            type: StringConstructor;
            required: false;
            default: null;
        };
    }>> & Readonly<{}>, {
        name: string;
        size: string;
        required: boolean;
        disabled: boolean;
        isInherited: boolean;
        copyableText: string;
        isInheritanceField: boolean;
        disableInheritanceToggle: boolean;
        copyable: boolean;
        copyableTooltip: boolean;
        helpText: string;
    }, {}, {
        "mt-inheritance-switch": import('vue').DefineComponent<{
            isInherited: boolean;
            disabled?: boolean;
        }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            inheritanceRemove: () => any;
            inheritanceRestore: () => any;
        }, string, import('vue').PublicProps, Readonly<{
            isInherited: boolean;
            disabled?: boolean;
        }> & Readonly<{
            onInheritanceRemove?: (() => any) | undefined;
            onInheritanceRestore?: (() => any) | undefined;
        }>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
        "mt-help-text": import('vue').DefineComponent<{
            text: string;
            width?: number;
            showDelay?: number;
            hideDelay?: number;
            placement?: import('@floating-ui/utils').Placement;
        }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
            text: string;
            width?: number;
            showDelay?: number;
            hideDelay?: number;
            placement?: import('@floating-ui/utils').Placement;
        }> & Readonly<{}>, {
            showDelay: number;
            hideDelay: number;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
        "mt-field-copyable": import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            copyableText: {
                type: StringConstructor;
                required: false;
                default: null;
            };
            tooltip: {
                type: BooleanConstructor;
                required: false;
                default: boolean;
            };
        }>, {
            copyToClipboard: () => void;
            tooltipText: import('vue').ComputedRef<string>;
            wasCopied: import('vue').Ref<boolean, boolean>;
        }, {}, {}, {}, import('vue').DefineComponent<{}, {}, {}, {}, {
            createNotification(): void;
            createNotificationSuccess(config: any): void;
            createNotificationInfo(config: any): void;
            createNotificationWarning(config: any): void;
            createNotificationError(config: any): void;
            createSystemNotificationSuccess(config: any): void;
            createSystemNotificationInfo(config: any): void;
            createSystemNotificationWarning(config: any): void;
            createSystemNotificationError(config: any): void;
            createSystemNotification(config: any): void;
        }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            copyableText: {
                type: StringConstructor;
                required: false;
                default: null;
            };
            tooltip: {
                type: BooleanConstructor;
                required: false;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            tooltip: boolean;
            copyableText: string;
        }, {}, {
            "mt-icon": import('vue').DefineComponent<{
                name: string;
                color?: string;
                decorative?: boolean;
                size?: string;
                mode?: "solid" | "regular";
            }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
                name: string;
                color?: string;
                decorative?: boolean;
                size?: string;
                mode?: "solid" | "regular";
            }> & Readonly<{}>, {
                decorative: boolean;
                size: string;
                mode: "solid" | "regular";
            }, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
        }, {
            tooltip: import('vue').ObjectDirective<any, any, string, string>;
        }, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    /**
     * Defines if the number should be a floating point number or integer.
     */
    numberType: {
        type: PropType<"float" | "int">;
        required: false;
        default: string;
        validator(value: string): boolean;
    };
    /**
     * Defines the amount of which the number is increased or decreased per step.
     */
    step: {
        type: NumberConstructor;
        required: false;
        default: null;
    };
    /**
     * Defines the minimum value of the number.
     */
    min: {
        type: NumberConstructor;
        required: false;
        default: null;
    };
    /**
     * Defines the maximum value of the number.
     */
    max: {
        type: NumberConstructor;
        required: false;
        default: null;
    };
    /**
     * The value of the number field.
     */
    modelValue: {
        type: PropType<number | null>;
        required: false;
        default: null;
    };
    /**
     * Defines how many digits should be displayed after the decimal point.
     */
    digits: {
        type: NumberConstructor;
        required: false;
        default: number;
        validator(value: number): boolean;
    };
    /**
     * Defines if digits should be filled with zeros if the value is smaller than the minimum value.
     */
    fillDigits: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Defines if the field can be empty.
     */
    allowEmpty: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Defines if the number should be aligned to the end of the input field.
     */
    numberAlignEnd: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}>> & Readonly<{}>, {
    modelValue: number | null;
    min: number;
    max: number;
    step: number;
    numberType: "float" | "int";
    digits: number;
    fillDigits: boolean;
    allowEmpty: boolean;
    numberAlignEnd: boolean;
}, {}, {
    "mt-icon": import('vue').DefineComponent<{
        name: string;
        color?: string;
        decorative?: boolean;
        size?: string;
        mode?: "solid" | "regular";
    }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
        name: string;
        color?: string;
        decorative?: boolean;
        size?: string;
        mode?: "solid" | "regular";
    }> & Readonly<{}>, {
        decorative: boolean;
        size: string;
        mode: "solid" | "regular";
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
